Skip to content

List



GET /api/v1/service_manage/list

Overview

List Service List information.

Query Parameters

Parameter Name Type Required Description
search string Search service name.
Example: mysql
Allow empty: False
originStr string Pass 1 for original string, 0 for structured data. Default is 1.
Allow empty: False
filter string Filter condition.
Example: total
Allow empty: False
Allowed values: ['total', 'favorite', 'myCreate', 'oftenBrowse']
createType commaArray Creation type.
Example: openapi,manual,automatic
Allow empty: False
serviceType commaArray Service type.
Example: web,custom
Allow empty: False
teamUUID commaArray Team UUID.
Example: group_x,group_y
Allow empty: False
pageIndex integer Page number.
Allow empty: False
Example: 1
$minValue: 1
pageSize integer Number of items per page.
Allow empty: False
Example: 10
$minValue: 1
$maxValue: 100

Parameter Details

Request Body Structure Description

Parameter Name type Required Description
search string N Search service name.
originStr string N Whether the returned serviceCatelog should be the original string. 1 for yes, 0 for no. Default is 1.
filter string N Filter condition.
createType string N Filter service creation type, separated by ','. manual,openapi,automatic
serviceType string N Filter service type, separated by ','. app,framework,cache,message_queue,custom,db,web
teamUUID string N Filter teams, separated by ','.
pageIndex string N Page number.
pageSize string N Number of items per page.

Response Body Structure Description

Parameter Name type Description
serviceCatelog string,dict The original string or structured data of the Service List.
service string Service name.
type string Service type.
dfStatus string Service status.
creatorInfo dict Creator information of the Service List.
updatorInfo dict Updater information of the Service List.

Request Example

curl 'https://openapi.truewatch.com/api/v1/service_manage/list?originStr=0' \
  -H 'Content-Type: application/json' \
  -H 'DF-API-KEY: <DF-API-KEY>' \
  --compressed

Response

{
    "automaticFoundTime": "1693807201",
    "data": [
        {
            "uuid": "sman_xxxx32",
            "createAt": 1693798688,
            "updateAt": 1693805504,
            "creatorInfo": {
                "username": "xxx",
                "name": "Alibaba Cloud Monitoring Data Source",
                "iconUrl": "",
                "email": "wsak_xxxxx",
                "acntWsNickname": ""
            },
            "colour": "#40C922",
            "updatorInfo": {
                "username": "xxx",
                "name": "Alibaba Cloud Monitoring Data Source",
                "iconUrl": "",
                "email": "wsak_xxxxx",
                "acntWsNickname": ""
            },
            "dfStatus": "ok",
            "isFavorite": false,
            "createType": "openapi",
            "service": "test_02",
            "type": "db",
            "serviceCatelog": {
                "Team": {
                    "service": "test_02",
                    "type": "db",
                    "team": "group_xxxx32",
                    "colour": "#40C922",
                    "oncall": [
                        {
                            "name": "example_yun",
                            "type": "email",
                            "emails": [
                                "[email protected]",
                                "[email protected]"
                            ]
                        },
                        {
                            "name": "zhuyun",
                            "type": "mobile",
                            "mobiles": [
                                "xxxxxxx5786",
                                "xxxxxxx4231"
                            ]
                        },
                        {
                            "name": "test",
                            "type": "slack",
                            "slack": "#test"
                        }
                    ]
                },
                "Repos": [
                    {
                        "link": "https://www.truewatch.com",
                        "name": "truewatch",
                        "provider": "example_yun"
                    },
                    {
                        "link": "https://dataflux-func.com",
                        "name": "func",
                        "provider": "example_yun"
                    }
                ],
                "Docs": [
                    {
                        "link": "https://docs.truewatch.com",
                        "name": "truewatch",
                        "provider": "example_yun"
                    },
                    {
                        "link": "https://dataflux-func.com/doc",
                        "name": "func",
                        "provider": "example_yun"
                    }
                ],
                "Related": {
                    "AppId": "a138bcb0_47ef_11ee_9d75_31ea50b9d85a",
                    "Tags": [
                        "test"
                    ],
                    "DashboardUUIDs": [
                        "dsbd_xxxx32"
                    ]
                }
            }
        },
        {
            "uuid": "sman_xxxx32",
            "createAt": 1693728357,
            "updateAt": 1693728357,
            "creatorInfo": {
                "username": "[email protected]",
                "name": "test",
                "iconUrl": "",
                "email": "[email protected]",
                "acntWsNickname": ""
            },
            "colour": "",
            "updatorInfo": {
                "username": "[email protected]",
                "name": "test",
                "iconUrl": "",
                "email": "[email protected]",
                "acntWsNickname": ""
            },
            "dfStatus": "ok",
            "isFavorite": false,
            "createType": "manual",
            "service": "test-lml3",
            "type": "custom",
            "serviceCatelog": {
                "Team": {
                    "service": "test-lml3",
                    "type": "custom",
                    "colour": "",
                    "team": "",
                    "oncall": []
                },
                "Related": {
                    "Tags": []
                }
            }
        }
    ],
    "pageInfo": {
        "pageIndex": 1,
        "pageSize": 50,
        "count": 2,
        "totalCount": 2
    }
}